Subject: Re: bug#25414: [email-masked] does not build deterministically

From: Danny Milosavljevic <[email-masked]>
Date: Sat, 14 Jan 2017 10:21:21 +0100

Hi Ludo,

On Thu, 12 Jan 2017 14:14:59 +0100
[email-masked] (Ludovic Courtès) wrote:

>   guix build gdk-pixbuf --rounds=2 -K

I added the patch and now I get:

$ ./pre-inst-env guix build gdk-pixbuf --rounds=2 -K
/gnu/store/m06fjrx641hbs786m5ysr3j41siqh8bn-gdk-pixbuf-2.36.3

> > guix/scripts/substitute.scm:659:16: In procedure fetch-narinfos:
> > guix/scripts/substitute.scm:659:16: In procedure struct_vtable: Wrong type argument in position 1 (expecting struct): #f  
> 
> Hmm hmm!  Is it reproducible (it works for me)?  If so, could you try to
> see where the problem comes from by adding ‘pk’ calls like this:

I'll try again with latest master (building...). If it still happens I'll try "pk". Thanks!